UHD 003.004.003-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Types | Public Member Functions | Public Attributes | List of all members
uhd::stream_cmd_t Struct Reference

`#include <stream_cmd.hpp>`

## Public Types
enum | stream_mode_t { STREAM_MODE_START_CONTINUOUS = 'a', STREAM_MODE_STOP_CONTINUOUS = 'o', STREAM_MODE_NUM_SAMPS_AND_DONE = 'd', STREAM_MODE_NUM_SAMPS_AND_MORE = 'm' }

## Public Member Functions
| stream_cmd_t (const stream_mode_t &stream_mode)

## Public Attributes
enum uhd::stream_cmd_t::stream_mode_t | stream_mode
size_t | num_samps
bool | stream_now
time_spec_t | time_spec

## Detailed Description

Command struct for configuration and control of streaming:

A stream command defines how the device sends samples to the host. Streaming is controlled by submitting a stream command to the rx dsp. Granular control over what the device streams to the host can be achieved through submission of multiple (carefully-crafted) commands.

The mode parameter controls how streaming is issued to the device:

- "Start continuous" tells the device to stream samples indefinitely.
- "Stop continuous" tells the device to end continuous streaming.
- "Num samps and done" tells the device to stream num samps and to not expect a future stream command for contiguous samples.
- "Num samps and more" tells the device to stream num samps and to expect a future stream command for contiguous samples.

The stream now parameter controls when the stream begins. When true, the device will begin streaming ASAP. When false, the device will begin streaming at a time specified by time_spec.

## Member Enumeration Documentation

enum uhd::stream_cmd_t::stream_mode_t

Enumerator
STREAM_MODE_START_CONTINUOUS |
STREAM_MODE_STOP_CONTINUOUS |
STREAM_MODE_NUM_SAMPS_AND_DONE |
STREAM_MODE_NUM_SAMPS_AND_MORE |

## Constructor & Destructor Documentation

uhd::stream_cmd_t::stream_cmd_t | ( | const stream_mode_t & | stream_mode | ) |

## Member Data Documentation

size_t uhd::stream_cmd_t::num_samps

enum uhd::stream_cmd_t::stream_mode_t uhd::stream_cmd_t::stream_mode

bool uhd::stream_cmd_t::stream_now

time_spec_t uhd::stream_cmd_t::time_spec

The documentation for this struct was generated from the following file:

- include/uhd/types/stream_cmd.hpp